{% extends 'base.html.twig' %}

{% block title %}Content index{% endblock %}

{% block body %}
    <h1>Content index</h1>

    <table class="table" width="40">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for content in contents %}
            <tr>
                <td>{{ content.id }}</td>
                <td>{{ content.title }}</td>
                <td>{{ content.description }}</td>
                <td>
                    <a href="{{ path('content_show', {'id': content.id}) }}">show</a>
                    <a href="{{ path('content_edit', {'id': content.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('content_new') }}">Create new</a>
{% endblock %}
